> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprig.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Themes

> Use this endpoint to retrieve themes, along with the responses that are associated with each theme, from your studies.



## OpenAPI

````yaml reference/sprig-api.json GET /v1/themes
openapi: 3.1.0
info:
  contact:
    email: support@sprig.com
    name: Support
  description: >-
    Sprig is a continuous product research tool that helps you automatically
    capture the user insights you need to consistently improve your product,
    user experience, marketing, and more.


    While traditional studies are slow, difficult to target, and lack context,
    Sprig studies are delivered automatically to specific users at specific
    moments throughout the customer journey — all within the product experience.


    This API provides tools to manage users and studies. User management is used
    if you are segmenting your samples between visitors that will be tracked
    with an ID and unregistered visitors. Study export tools will allow you to
    take results data and send it to another data store or format results for
    presentation in other applications
  title: Sprig API
  version: 2.2.1
servers:
  - url: https://api.sprig.com
security: []
tags:
  - description: Operations allowing export of survey data
    name: V1
  - description: Operations allowing export of survey data
    name: V1
  - description: All operations pertaining to the user object
    name: users
  - description: All operations pertaining to the user events
    name: events
  - description: Operations allowing export of survey data
    name: V1
paths:
  /v1/themes:
    get:
      tags:
        - V1
      summary: Retrieve Themes
      description: >
        Use this endpoint to retrieve themes, along with the responses that are
        associated with each theme, from your studies.
      operationId: get-v1-themes
      parameters:
        - $ref: '#/components/parameters/start'
        - $ref: '#/components/parameters/end'
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/sid'
        - $ref: '#/components/parameters/Authorization-Bearer'
      responses:
        '200':
          content:
            application/json:
              examples:
                example theme:
                  value:
                    cursor: string
                    data:
                      - createdAt: string
                        id: 0
                        questionId: 0
                        questionText: string
                        questionType: string
                        response: string
                        responseGroupUid: string
                        surveyId: 0
                        theme: string
                        themeDescription: string
                        updatedAt: string
                        visitorId: 0
              schema:
                description: ''
                properties:
                  cursor:
                    minLength: 1
                    type: string
                  data:
                    items:
                      properties:
                        createdAt:
                          minLength: 1
                          type: string
                        id:
                          type: number
                        questionId:
                          type: number
                        questionText:
                          minLength: 1
                          type: string
                        questionType:
                          minLength: 1
                          type: string
                        response:
                          minLength: 1
                          type: string
                        responseGroupUid:
                          minLength: 1
                          type: string
                        surveyId:
                          type: number
                        theme:
                          minLength: 1
                          type: string
                        themeDescription:
                          minLength: 1
                          type: string
                        updatedAt:
                          minLength: 1
                          type: string
                        visitorId:
                          type: number
                      type: object
                    minItems: 1
                    type: array
                    uniqueItems: true
                type: object
                x-examples:
                  example-1:
                    cursor: Y3JlYXRlZEF0OjE1ODA5MzAyNzg2OTY=
                    data:
                      - createdAt: '2020-02-21T23:33:23.248Z'
                        id: 12345
                        questionId: 369
                        questionText: What would make Sprig more valuable for you?
                        questionType: OPEN
                        response: A more robust data export api
                        responseGroupUid: 8f41fd42-a034-49b6-8a7f-8a231fd6b49a
                        surveyId: 227
                        theme: Easy data export
                        themeDescription: A theme focused on easy data export
                        updatedAt: '2020-02-21T23:33:23.248Z'
                        visitorId: 19720642
                      - createdAt: '2020-10-28T21:37:31.028Z'
                        id: 678910
                        questionId: 226
                        questionText: What would make Sprig more valuable for you?
                        questionType: OPEN
                        response: Something something cheeseburgers
                        responseGroupUid: 18e38583-d6b6-4629-b2ce-c51072308f98
                        surveyId: 154
                        theme: I wish they had food
                        themeDescription: A theme focused on food offerings
                        updatedAt: '2020-10-28T21:37:31.028Z'
                        visitorId: 33094801
          description: OK
        '400':
          $ref: '#/components/responses/400'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  parameters:
    start:
      description: >-
        The earliest creation data for a generated theme to return, represented
        as milliseconds from epoch time
      in: query
      name: start
      required: false
      schema:
        type: integer
    end:
      description: >-
        The latest creation date for a generated theme to return, represented as
        milleseconds from epoch time
      in: query
      name: end
      required: false
      schema:
        type: integer
    cursor:
      description: A Base64 encoded string representing an opaque cursor position
      in: query
      name: cursor
      required: false
      schema:
        type: string
    sid:
      description: An integer id for a specific Survey
      in: query
      name: sid
      required: false
      schema:
        type: integer
    Authorization-Bearer:
      description: Bearer YOUR_API_KEY
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
      description: Bad Request
    '403':
      description: >-
        You may have an invalid or missing API key and you should check your
        authorization header. There is no message with this status code.
    '404':
      description: Not Found
    '429':
      description: Your application has made too many requests in too short a time.
    '500':
      description: Something went wrong on Sprig's side. These are very rare :)

````